Installer - Bug #14520

Installer create upstream openscap repo file by default
04/07/2016 05:08 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Foreman modules
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1324766 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/426

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1324766
Description of problem:

When | run

foreman-installer —--enable-foreman-plugin-openscap
it automatically adds upstream isimluk-openscap repo.
Version-Release number of selected component (if applicable):

How reproducible:
100%

Steps to Reproduce:

1. foreman-installer --enable-foreman-plugin-openscap
2. Is /etc/yum.repos.d/isimluk-openscap.repo

Actual results:

File is present

Expected results:

File is not present

Additional info:

Easy workaround is to call

foreman-installer —--enable-foreman-plugin-openscap —--foreman-plugin-openscap-configure-openscap-re
po false

Related issues:
Related to Installer - Bug #14522: Openscap repository should be added by sma... Closed 04/07/2016

Associated revisions

Revision 361136ed - 04/07/2016 05:12 AM - Marek Hulan
Fixes #14520 - upstream repo should be explicitly enabled

Revision 416698ca - 06/06/2016 05:23 AM - Marek Hulan

Fixes #14520 - remove openscap custom repo option
https://bugzilla.redhat.com/show_bug.cgi?id=1324766

History

#1 - 04/07/2016 05:09 AM - Marek Hulan
- Category set to Foreman modules
- Status changed from New to Assigned

- Assignee set to Marek Hulan

#2 - 04/07/2016 07:06 AM - Marek Hulan
- Related to Bug #14522: Openscap repository should be added by smart_proxy_openscap plugin rather than foreman_openscap added

#3 - 04/07/2016 07:38 AM - Marek Hulan
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman/pull/426 added

#4 - 04/08/2016 06:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|361136edfec01f2cba9b1d00c927133e952c7ed9.

#5 - 04/08/2016 09:03 AM - Dominic Cleal

- translation missing: en.field_release set to 136
